;#############################################################################
;---------------- DEFINE DEVICE SERIAL NUMBERS TO USE ------------------------
;#############################################################################

; Get a handle for the device with the given serial number
; To determine serial number of device: Press "MENU" -> Select "Version Info"
; This handle must be used in the script for every function call 
; to exactly specify the device where the command should be send to

; Add more devices, if needed

Global $Device1 = OpenPeconDevice("140-08-0010")
; Global $Device2 = OpenPeconDevice("141-11-pt01")
; Global $Device3 = OpenPeconDevice("140-11-0001")



;#############################################################################
;--------------------- BEGIN USER CHANGEABLE PART ----------------------------
;#############################################################################
; Commands for the device should be placed in here
; See "PDL2000_AutoIt3-Functions.au3 for command definition
; Use $Device1, $Device2, etc. as handle for commands, definition is in "PDL2000_Core-Script.au3"
; Read AutoIt3 documentation (http://www.autoitscript.com) and have fun!

;-----------------------------------------------------------------------------

; Example6: Simple script to change values dynamically through experiment
; For a loop use any of the loop statements of AutoIt3
SetSetpointValue ($Device1, 1, 37.0)
SetSetpointValue ($Device1, 2, 37.0)
SetLoopControl   ($Device1, 1, 1)
SetLoopControl   ($Device1, 2, 1)

Sleep(600000) ; Wait 10 min.

SetSetpointValue ($Device1, 1, 40.0)
SetSetpointValue ($Device1, 2, 40.0)

Sleep(1200000) ; Wait 20 min.

SetSetpointValue ($Device1, 1, 37.0)
SetSetpointValue ($Device1, 2, 37.0)
