;#############################################################################
;---------------- DEFINE DEVICE SERIAL NUMBERS TO USE ------------------------
;#############################################################################

; Get a handle for the device with the given serial number
; To determine serial number of device: Press "MENU" -> Select "Version Info"
; This handle must be used in the script for every function call 
; to exactly specify the device where the command should be send to

; Add more devices, if needed

Global $Device1 = OpenPeconDevice("140-08-0010")
; Global $Device2 = OpenPeconDevice("141-11-pt01")
; Global $Device3 = OpenPeconDevice("140-11-0001")



;#############################################################################
;--------------------- BEGIN USER CHANGEABLE PART ----------------------------
;#############################################################################
; Commands for the device should be placed in here
; See "PDL2000_AutoIt3-Functions.au3 for command definition
; Use $Device1, $Device2, etc. as handle for commands, definition is in "PDL2000_Core-Script.au3"
; Read AutoIt3 documentation (http://www.autoitscript.com) and have fun!

; Example9: Switch on channel 1 and change setpoint from 37.0C to 40.0C within 300 seconds (5 min)
; 			and send 30 new setpoint values within the 300 seconds. 
;			Then set setpoint value down to 37.0C.
;
;			+3.0C difference and 30 new values within 300 seconds. in this example converts to
;			an increased setpoint value of 0.1C within every 10 seconds.
SetLoopControl   ($Device1, 1, 1)
RampSetpointValue ($Device1, 1, 37.0, 40.0, 300, 30)
SetSetpointValue ($Device1, 1, 37)