;#############################################################################
;---------------- DEFINE DEVICE SERIAL NUMBERS TO USE ------------------------
;#############################################################################

; Get a handle for the device with the given serial number
; To determine serial number of device: Press "MENU" -> Select "Version Info"
; This handle must be used in the script for every function call 
; to exactly specify the device where the command should be send to

; Add more devices, if needed

Global $Device1 = OpenPeconDevice("140-08-0010")
Global $Device2 = OpenPeconDevice("141-11-pt01")
; Global $Device3 = OpenPeconDevice("140-11-0001")



;#############################################################################
;--------------------- BEGIN USER CHANGEABLE PART ----------------------------
;#############################################################################
; Commands for the device should be placed in here
; See "PDL2000_AutoIt3-Functions.au3 for command definition
; Use $Device1, $Device2, etc. as handle for commands, definition is in "PDL2000_Core-Script.au3"
; Read AutoIt3 documentation (http://www.autoitscript.com) and have fun!

;-----------------------------------------------------------------------------

; Example7: Simple script to change values on different devices
; Define devices in PDL2000_Core-Script.au3, section "DEFINE DEVICE SERIAL NUMBERS TO USE"
; Add additional "$Device" definitions, if needed
SetSetpointValue ($Device1, 1, 27.0)
SetSetpointValue ($Device2, 1, 40.0)
SetLoopControl   ($Device1, 1, 1)
SetLoopControl   ($Device2, 1, 1)